Bug 67770 - CONFIGURATION: Sidebar customization settings not remembered after reopening
Summary: CONFIGURATION: Sidebar customization settings not remembered after reopening
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: BSA target:5.1.0
Keywords: needsDevEval, topicUI
: 87785 90893 92332 95872 98906 104708 106363 (view as bug list)
Depends on:
Blocks: Sidebar-Tab-Bar Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2013-08-05 06:16 UTC by Riccardo Giuliani
Modified: 2017-04-27 07:50 UTC (History)
22 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Riccardo Giuliani 2013-08-05 06:16:32 UTC
Problem description: I noticed that the new Sidebar cannot remember my last selected tab (every time I open LibreOffice, Sidebar shows the Properties tab), and it cannot even remember which tab I closed (from the topleft menu), but again shows them all. Are these bugs or is there a way to make that work?

Steps to reproduce:
1. Activate the New Sidebar (Menù\Options\Advanced\Enable experimental features (I'm using Italian version, so I'm not sure about the right words in english). After the restart you can show/hide the Sidebar by clicking Menù\View\Sidebar
2. Change the selected TAB by clicking one of the right buttons (Properties/Styles/Gallery/Navigator) and restart: You'll find always the Properties TAB selected.
3. Hide some tabs (by clicking the topright menù button\Customization) and then restart: You'll always see also the tabs you closed.

Current behavior:

Expected behavior:

              
Operating System: Windows 7
Version: 4.1.0.4 release
Comment 1 Owen Genat (retired) 2013-08-05 09:55:28 UTC
I can confirm this. Setting status to NEW, platform to All/All as I have tested this under Crunchbang 11 running TDF/LO v4.1.0.4. I am not sure whether this is an enhancement request (as the functionality has never existed) or a bug. I could not find an equivalent AOO bug to link.
Comment 2 Mikeyy - L10n HR 2014-08-21 10:15:30 UTC
Can confirm number 3., when I hide some tabs, they always come back after restart.
Gallery for example always come back when I enter anything into any cell (Calc). Not sure how's that connected.

LO 4.3.1.1
Windows 7 64bit SP1
Comment 3 V Stuart Foote 2014-12-28 16:50:20 UTC
*** Bug 87785 has been marked as a duplicate of this bug. ***
Comment 4 V Stuart Foote 2014-12-28 18:17:54 UTC
For bug 69534 - Enhancement Request: Sidebar is set per Module/Program the Side Bar received module specific configurations. -=ref=- commit http://cgit.freedesktop.org/libreoffice/core/commit/?id=b1314f22eb8de4359b5360194c04996351e9a6c2

That all is behaving, but it seems there is more to be done.  The "customization" of the Tab Bar object is not behaving like a toolbar ought to, and is not being retained into per-user profile. Since it is not retained, there really is no customization of the Sidebar.

We do not seem to be capturing sidebar customizations into the per-user registrymodifications.xcu, nor into the user/config/soffice.cfg/modules directories. 

From the start, have been unable to select a specific Sidebar Tab to open on--Properties Tab is fixed landing Tab for Sidebar for each module. Suggest that should be a user configurable selection per module.

Worse, we actually are losing any customization within a current document session--one active content panel to the next in the Sidebar Deck.

=-=-=

We have several distinct UI actions Affecting Sidebar configuration/customization:

-1- Hide or Show of the Sidebar from the edge button of the docked Sidebar window.

-2- (at > 4.4.0, Hide or Show each Sidebar deck from its Sidebar Tab button).


-3- customization of the Sidebar Tab Bar to remove Tab buttons, hiding their content panels as selections.

-4- enabling or disabling view of docked Sidebar from main menu...
   View -> Sidebar  (or at > 4.4.0 the Sidebar's configuration button on Tab Bar -> Close Sidebar).

-5- closing module back to Start Center or exiting LibreOffice.


=-=-=

So -1- & -2-, hide or Show of Sidebar deck (or > 4.4.0 toggling deck open or closed for each Tab) does not affect Sidebar configuration or customizations.

But -3-, all Sidebar customizations will be lost *within a current document* when manipulating objects that move the Sidebar deck focus from a Tab's content panel to another content panel. Even if returning to the original content panel--all Tab bar customization reverts to default. 

STR: 

1. open a writer document and show Sidebar 
2. on Sidebar config button -> Customization uncheck to remove a couple of Tabs (Navigator, Gallery)
3. enter some text, 
4. from main menu, Insert -> Image and select to place image into document
5. the Graphic object properties content panel will toggle into the Sidebar deck, and its full Tab bar will appear--no customization.
6. Moving back to text portion does not restore prior customization to Tab bar.

And -4- Enabling and disabling of view will revert Tab Bar customizations to default.

Finally -5- opening and closing a document module, returning to Start Center will reverts any Tab Bar customizations--back to default sidebar configuration on next launch (current session or new).

Widget behavior of -1- and -2- seem correct, but substantive user customization of -3-, -4- and -5- are not yet where we need to be with Sidebar.
Comment 5 V Stuart Foote 2014-12-28 18:52:39 UTC
Setting UX-advise, when resolving these issues of Sidebar customization probably need to consider some of the enhancements needed for bug 33223 - Sidebar: as container for toolbars, ability to add functions missing from Sidebar, and similar.

Just more of the considerable UI functional design and UX that needs to be ironed out to move Sidebar UI development along.
Comment 6 Patrick Smits 2015-02-09 14:41:53 UTC
Since upgrading to LibreOffice 4.4.0.3 from 3.4.6 I noticed that the sidebar state is not remembered. I usually work in the Styles-tab, but default it opens with the Properties-tab.

Overall the sidebar is a nice improvement, however it would be even better if the state on exit was saved. Thanks.
Comment 7 V Stuart Foote 2015-02-09 15:02:43 UTC
(In reply to psmits from comment #6)
> Since upgrading to LibreOffice 4.4.0.3 from 3.4.6 I noticed that the sidebar
> state is not remembered. I usually work in the Styles-tab, but default it
> opens with the Properties-tab.
> 
> Overall the sidebar is a nice improvement, however it would be even better
> if the state on exit was saved. Thanks.

Customizations are distinct from the content panel  active on opening an LO  module. Bug 65351 covers the later--see comment 4 in this thread for customization behaviors that need design and development.
Comment 8 tommy27 2015-03-10 06:09:14 UTC
bug confirmed with LibO 4.4.1 too in the OOo/AOO/LibO italian newsgroup
Comment 9 James A. Schulz 2015-04-16 15:14:33 UTC
A similar problem exists with the Navigator menu.  If I use the sidebar navigator to move among headings in my document, the (horizontal) Navigator menu (comprising only two icons: back and forward) pops up and steals a quarter inch of my screen height.  Using the View|Toolbars menu to hide the (horizontal) Navigator does not solve this problem.  It does, initially, hide the menu, but as soon as I change headings in the sidebar, it pops up again.
Comment 10 Alex Thurgood 2015-04-27 16:21:28 UTC
*** Bug 90893 has been marked as a duplicate of this bug. ***
Comment 11 V Stuart Foote 2015-06-26 15:03:50 UTC
*** Bug 92332 has been marked as a duplicate of this bug. ***
Comment 12 Andreas Neudecker 2015-10-26 11:21:03 UTC
I have the same problem with LibreOffice 5.0.2.1 (Debian stretch (testing) packages) running on an XFCE4 desktop (two different machines).

I would really appreciate if the sidebar would honour my settings (I remove the "Properties" and "Gallery" tabs, leaving only "Styles and Formatting" and "Navigator", where "Styles and Formatting" is usually active. Currently I have to repeat these settings manually after each and any restart of LibreOffice, and for each document I (re-)open.

Regards

Andreas
Comment 13 Samuel Mehrbrodt (CIB) 2015-11-17 13:33:25 UTC
*** Bug 95872 has been marked as a duplicate of this bug. ***
Comment 14 Commit Notification 2015-11-20 13:34:39 UTC
Laurent Godard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=536c259cb9644971d0eb0cdfb7d823c5383a5481

tdf#67770 store sidebar elements states

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 tommy27 2015-11-20 13:41:55 UTC
great!!!
if the fix is verified and works fine this is something that deserves to be listed in the 5.1.x release notes 
https://wiki.documentfoundation.org/ReleaseNotes/5.1
Comment 16 V Stuart Foote 2015-11-21 02:22:32 UTC
@Laurent, bubli, * 

On Windows 10 Pro 64-bit (en-US) with
Version: 5.1.0.0.alpha1+ (x64)
Build ID: 01de2fc790b50c04f13907026f1a7782009fea61-GL
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-11-21_01:52:58
Locale: en-US (en_US)

with https://gerrit.libreoffice.org/17992 included.

In a Writer document, in the Styles and Formatting deck, where I modify a menu -- adding a style.

Save and close out the document

Seeing new stanzas being written into registrymodifications.xcu 

UI Window states /UIElements/States
UI Sidebar /Content/PanelList
UI Sidebar /Content/Decklist

Great! But was hopping that having saved while in the Styles and Formatting deck, that on reopening that Writer document--or starting a new Writer document that I'd open with Sidebar positioned to the Styles and Formatting deck.  Instead still opening into the old default Properties deck.

Am I missing something?  

Could you give us some instruction on testing and making use of the new Sidebar customization and states.

Thanks!

Stuart
Comment 17 Katarina Behrens (CIB) 2015-11-21 21:27:36 UTC
Sry guys, must be some fallout, mismerge | easy hacks in the way ... last time I tested (when there was no merge conflict yet), it worked. I'll have a look
Comment 18 Robinson Tryon (qubit) 2015-12-14 06:10:13 UTC
Migrating Whiteboard tags to Keywords: ( needsDevEval topicUI )
[NinjaEdit]
Comment 19 V Stuart Foote 2016-03-27 16:56:49 UTC
*** Bug 98906 has been marked as a duplicate of this bug. ***
Comment 20 Dmitry 2016-03-28 22:31:37 UTC
I would like to add the following: When I open Writer it shows the "Properties" sidebar, which for 80% of functionality repeats the toolbar. For me personally "Styles and Formatting" are much more necessary and frequently used, and it would be nice if the last used selection is remembered, so that is shows up when document is opened.
Comment 21 Robinson Tryon (qubit) 2016-08-25 05:49:28 UTC
We're replacing our use of the 'ux-advise' component with a keyword:
 Component -> LibreOffice
 Add Keyword: needsUXEval

[NinjaEdit]
Comment 22 Buovjaga 2016-12-16 21:08:07 UTC
*** Bug 104708 has been marked as a duplicate of this bug. ***
Comment 23 Paolo Benvenuto 2016-12-31 08:18:06 UTC
5.1.4.2

The bug isn't fixed yet.

If I modify the sidebar in a document, after closing LO and opening another document changes aren't preserved: even if I disable some of properties, styles, gallery, navigator in "Personalize", on another document I find them enabled again
Comment 24 steve -_- 2017-03-06 17:29:45 UTC
Is this still persisting using 5.3.0.3?
Comment 25 Paolo Benvenuto 2017-03-06 19:13:19 UTC
persisting in 5.3.0.3
Comment 26 V Stuart Foote 2017-03-06 22:21:50 UTC
*** Bug 106363 has been marked as a duplicate of this bug. ***
Comment 27 Thomas Lendo 2017-04-22 19:52:46 UTC
I don't want to spam but personally this is one of the most annoying usability bugs in LibO (in every component) because users have to deal with it at every program start, every workday for (soon) 4 years. This bug has so many followers and duplicates ...

The workaround to disable the sidebar decks before the desired deck is no good solution, especially for the last ones like Navigator - how working with styles in that case?

Is there anything people can do (without learning to write programs by themselves - whifh is not problem of will but time and skill)? Raising priority? Searching for a developer with too much free time? GSoC? Tender?
Comment 28 Paolo Benvenuto 2017-04-27 07:50:24 UTC
still present in Version: 5.4.0.0.alpha0+